Publisher Lookup

Overview

Advertisers can use the Publisher Lookup API to easily and automatically look up information about the publishers in their programs. For example you could use this API to quickly access a list of which publishers are joined to what program terms.

Advertisers can use this REST API to search for publishers within their program by a variety of criteria, for example by country or relationship status, and then view the details about those publishers, including program name, websites and PIDs, categories and promotional methods used, as well as other information related to the publisher's account.

NOTE: The request URI for the Publisher Lookup API must be properly encoded based on HTML 4 specification form content encoding rules. Please refer to http://www.w3.org/TR/REC-html40/interact/forms.html#h-17.13.4 for the standard specification.

Limits

Call limit: 25 calls per minute
Call restrictions: Advertisers only

Request

GET https<no-link>://publisher-lookup.api.cj.com/v2/joined-publisher-lookup

Sample Request

This URL would be used to view all of your publishers who are located in the United States. Use the criteria below to customize a URL for your needs. See the Authentication Overview for information on how to authenticate API calls.

curl -s XGET "https://publisher-lookup.api.cj.com/v2/joined-publisher-lookup?requestor-cid=4567&country=US" -H "Authorization: Bearer <your-personal-access-token>"

Request Parameters

Refer to the following table for a list of request parameters. All parameter names and values are case-insensitive. Submitting an empty request does not return all possible results; an empty request returns zero results.

Parameter NameDescription
requestor-cidSpecify the CID of company for which you would like to make this request. You must be a member of the specified company.

If you are a member of the specified company, you will be authorized to view data that that company is allowed to access.

THIS PARAMETER IS REQUIRED
date-acceptedDate format: YYYY-MM-DD
publisher-nameSearches for the joined publishers' name (spaces allowed).
countrySearches for the country where the joined publisher is located by ISO country cod

Response

Sample Response

Refer to the following sample XML response.

<cj-api>
  <publishers page-number="1" records-returned="2" total-matched="2">
    <publisher>
      <cid>1070179</cid>
      <country>US</country>
      <currency>USD</currency>
      <network-rating>0</network-rating>
      <publisher-name>MH Retailers</publisher-name>
      <program-terms>
        <name>CJ Demo</name>
        <date-accepted>03/28/2011 10:03:59 PDT</date-accepted>
        <date-expired/>
        <join-status>active</join-status>
      </program-terms>
      <program-terms>
        <name>CJ Demo 2</name>
        <date-accepted>03/28/2011 09:35:36 PDT</date-accepted>
        <date-expired>03/28/2011 09:44:42 PDT</date-expired>
        <join-status>cancelled</join-status>
      </program-terms>
      <promotional-methods>
        <promotional-method>Web site / Content</promotional-method>
        <promotional-method>Software</promotional-method>
      </promotional-methods>
      <seven-day-epc>N/A</seven-day-epc>
      <three-month-epc>N/A</three-month-epc>
      <websites>
        <website>
          <name>Web Site</name>
          <pid>2115358</pid>
          <url>http://www.cj.com</url>;
          <category>Virtual Malls</category>
        </website>
        <website>
          <name>CJ Pay Per Call</name>
          <pid>468534</pid>
          <url>http://www.cj.com</url>
          <category>Marketing</category>
        </website>
      </websites>
    </publisher>
  </publishers>
</cj-api>

Response Elements

The following response fields get returned in XML for joined publishers that meet the request parameters.

Element NameDescription
cidThe publisher’s company ID.
countryThe country where the publisher is located.
currencyThe functional currency used by the publisher.
join-dateThe date on which the publisher joined the network.
network-ratingA rating of 0-5 that shows how publishers rate compared to other publishers in the network based on the volume of commissions earned.
publisher-nameThe publisher's company name.
program-term-nameThe program term name the publisher is contracted on.
program-term-statusThe status of program term the publisher is contracted on. Statuses: active, expired, cancelled.
promotional-methodThe promotional method stated by the publisher. Possible results: search, email, software, content.
web-sitesVarious fields about the publisher's Web site are provided, including:
  • Name: This is the name of the publisher's Web site
  • PID: This is the publisher's Web site ID number.
  • URL: This is the URL of the publisher's Web site.
  • Category: This is the category in which the publisher's Web site is classified.
seven-day-epcThe publisher’s 7-day EPC (Average Earnings Per One Hundred Clicks).
three-month-epcThe publisher’s 3-month EPC (Average Earnings Per One Hundred Clicks).

Errors



REST Errors For All APIs

The HTTP Response Code for the following errors is 401.

MessageDescription
NoneIncorrect resource URL
"You must specify a developer key."No developer key specified
"Not Authenticated: xxxxxx" (where xxxxxx is the echo of the developer key used).Invalid developer key specified

Publisher Lookup Errors

The HTTP Response Code for the following errors is 400.

MessageDescription
"Not Authorized"Publisher developer key used (must use advertiser developer key).
"Invalid page-number provided."Invalid page number specified (non-numeric).
"Only positive value is allowed for page-number."Negative page number specified.
"At least one of the required query parameters (url, cid, pid, country, publisher-name, special-incentive) is needed."No query parameter specified.
"Only one of the required query parameters (url, cid, pid, country, publisher-name, special-incentive) is allowed."More than one query parameters specified.
"Invalid Key provided. Valid keys are: url, publisher-name, cid, pid, country, special-incentive."The query parameter specified is not of a valid key.
"Search criterion is required."A valid query parameter key is specified with no value.
"Only ISO Code is allowed for country."An integer is provided for country code.
"Only numeric value is allowed for cid."Invalid CID specified (non-numeric).
"Only positive value is allowed for cid."Negative CID specified.
"Only numeric value is allowed for pid."Invalid PID specified (non-numeric).
"Only positive value is allowed for pid."Negative PID specified.
"Only 'yes' is allowed."Invalid special incentive specified (only "yes" case-insensitive is allowed).
"Publisher Name has to be greater than 3 characters."Less than 3 characters are specified for publisher name.